org.apache.ignite.internal.processors.odbc

## Class SqlListenerUtils

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.SqlListenerUtils

    public abstract class SqlListenerUtils
    extends Object

Binary reader with marshaling non-primitive and non-embedded objects with JDK marshaller.

### Constructor Summary

Constructors
Constructor and Description
`SqlListenerUtils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `isPlainType(Class<?> cls)`
`static Object` `readObject(BinaryReaderExImpl reader, boolean binObjAllow)`
`static void` `writeObject(BinaryWriterExImpl writer, Object obj, boolean binObjAllow)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SqlListenerUtils

    public SqlListenerUtils()

### Method Detail

#### readObject

    @Nullable
    public static Object readObject(BinaryReaderExImpl reader,
                                              boolean binObjAllow)
                                       throws BinaryObjectException

Parameters:
  `reader` - Reader.
  `binObjAllow` - Allow to read non plaint objects.
Returns:
  Read object.
Throws:
  `BinaryObjectException` - On error.

#### writeObject

    public static void writeObject(BinaryWriterExImpl writer,
                                   @Nullable
                                   Object obj,
                                   boolean binObjAllow)
                            throws BinaryObjectException

Parameters:
  `writer` - Writer.
  `obj` - Object to write.
  `binObjAllow` - Allow to write non plain objects.
Throws:
  `BinaryObjectException` - On error.

#### isPlainType

    public static boolean isPlainType(Class<?> cls)

Parameters:
  `cls` - Class.
Returns:
  `true` is the type is plain (not user's custom class).

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018